func_exponential.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | exp (vecType< T, P > const &v)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | exp2 (vecType< T, P > const &v)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | inversesqrt (vecType< T, P > const &v)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | log (vecType< T, P > const &v)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | log2 (vecType< T, P > const &v)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | pow (vecType< T, P > const &base, vecType< T, P > const &exponent)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | sqrt (vecType< T, P > const &v)

## Detailed Description

GLM Core

See also
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

Definition in file func_exponential.hpp.